org.apache.solr.search

## Class AbstractReRankQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.solr.search.ExtendedQueryBase
    - - org.apache.solr.search.RankQuery
      - - org.apache.solr.search.AbstractReRankQuery

- All Implemented Interfaces:
    ExtendedQuery

      public abstract class AbstractReRankQuery
      extends RankQuery

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<BytesRef,Integer>` | `boostedPriority`
    `protected Query` | `mainQuery`
    `protected int` | `reRankDocs`
    `protected Rescorer` | `reRankQueryRescorer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractReRankQuery(Query mainQuery, int reRankDocs, Rescorer reRankQueryRescorer)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Weight` | `createWeight(IndexSearcher searcher, boolean needsScores)`
    `MergeStrategy` | `getMergeStrategy()`
    `TopDocsCollector` | `getTopDocsCollector(int len, QueryCommand cmd, IndexSearcher searcher)`
    `Query` | `rewrite(IndexReader reader)`
    `protected abstract Query` | `rewrite(Query rewrittenMainQuery)`
    `RankQuery` | `wrap(Query _mainQuery)`

    - ### Methods inherited from class org.apache.solr.search.ExtendedQueryBase

      `getCache, getCacheSep, getCost, getOptions, getOptionsString, setCache, setCacheSep, setCost, toString`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `classHash, equals, hashCode, sameClassAs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mainQuery

          protected Query mainQuery

    - #### reRankDocs

          protected final int reRankDocs

    - #### reRankQueryRescorer

          protected final Rescorer reRankQueryRescorer

    - #### boostedPriority

          protected Map<BytesRef,Integer> boostedPriority

  - ### Constructor Detail

    - #### AbstractReRankQuery

          public AbstractReRankQuery(Query mainQuery,
                                     int reRankDocs,
                                     Rescorer reRankQueryRescorer)

  - ### Method Detail

    - #### wrap

          public RankQuery wrap(Query _mainQuery)

      Specified by:
        `wrap` in class `RankQuery`

    - #### getMergeStrategy

          public MergeStrategy getMergeStrategy()

      Specified by:
        `getMergeStrategy` in class `RankQuery`

    - #### getTopDocsCollector

          public TopDocsCollector getTopDocsCollector(int len,
                                                      QueryCommand cmd,
                                                      IndexSearcher searcher)
                                               throws IOException

      Specified by:
        `getTopDocsCollector` in class `RankQuery`
      Throws:
        `IOException`

    - #### rewrite

          public Query rewrite(IndexReader reader)
                        throws IOException

      Overrides:
        `rewrite` in class `Query`
      Throws:
        `IOException`

    - #### rewrite

          protected abstract Query rewrite(Query rewrittenMainQuery)
                                    throws IOException

      Throws:
        `IOException`

    - #### createWeight

          public Weight createWeight(IndexSearcher searcher,
                                     boolean needsScores)
                              throws IOException

      Overrides:
        `createWeight` in class `Query`
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.